package com.jz.dm.common.util;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.util
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: RedisSerializableUtil
 * @DATE: 2021-1-12/18:26
 * @DAY_NAME_SHORT: 周二
 * @Description:
 **/
public class RedisSerializableUtil  {
        /**
         * 序列化
         * @param object
         */
        public static byte[] serialize(Object object) {
            ObjectOutputStream oos = null;
            ByteArrayOutputStream baos = null;
            try {
                // 序列化
                baos = new ByteArrayOutputStream();
                oos = new ObjectOutputStream(baos);
                oos.writeObject(object);
                byte[] bytes = baos.toByteArray();
                return bytes;
            } catch (Exception e) {
                e.printStackTrace();
            }
            return null;
        }

        /**
         * 反序列化
         * @param bytes
         */
        public static Object unserialize(byte[] bytes) {
            ByteArrayInputStream bais = null;
            try {
                // 反序列化
                bais = new ByteArrayInputStream(bytes);
                ObjectInputStream ois = new ObjectInputStream(bais);
                return ois.readObject();
            } catch (Exception e) {
                e.printStackTrace();
            }
            return null;
        }
}
