package com.jz.dm.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.dm.models.domian.ApiAuth;
import com.jz.dm.models.domian.ApiInterface;
import com.jz.dm.models.domian.ApiInterfaceCustom;
import com.jz.dm.models.req.api.ApiInterfaceDetailReq;
import com.jz.dm.models.req.api.ApiInterfaceInfoListReq;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.service
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiInterfaceService
 * @DATE: 2021-1-2/14:26
 * @DAY_NAME_SHORT: 周六
 * @Description:
 **/
public interface ApiInterfaceService {

    /**
     * 根据Api授权码获取用户授权信息
     * @param apiKey
     * @param authCode
     * @return
     */
   ApiAuth getApiAuthInfo(String apiKey,String authCode);

    /**
     * 获取api信息
     * @param apiKey
     * @return
     */
    ApiInterface getApiInfo(String apiKey);

    /**
     * 获取apikey信息
     * @param apiKey
     * @return
     */
    ApiInterface getReqTargetInfo(String apiKey);

    /**
     * API---(已调用列表)列表查询
     * @param req
     * @return
     */
    IPage<ApiInterface > listCallApiInterface(ApiInterfaceInfoListReq req);


    /**
     * API---(未调用列表)列表查询
     * @param req
     * @return
     */
    IPage<ApiInterface >  listUnCallApiInterface(ApiInterfaceInfoListReq req);

    /**
     * 查询API详情
     * @param req
     * @return
     */
    Result getApiInterfaceDetail(ApiInterfaceDetailReq req);

    /**
     * 删除API
     * @param apiKey
     * @return
     */
    Result delApiInterface(String apiKey);

 /**
  * 获取有效授权总数
  * @param apiInterface
  * @return
  */
    Integer getValidAuthStatus(ApiInterface apiInterface);

    /**
     * dmp删除API
     * @param type
     * @param apiKey
     * @return
     */
    Result dmpDeleteAuth(String type,String apiKey);

    /**
     * 获取api自定义信息
     * @param apiInterfaceId
     * @return
     */
   ApiInterfaceCustom getApiCustomInfo(Long apiInterfaceId);

}
