package com.jz.dm.mall.moduls.controller.goods.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * @ClassName: 商品列表返回对象
 * @Author: Carl
 * @Date: 2020/12/9
 * @Version:
 */
@ApiModel(value = "商品列表", description = "商品列表参数对象")
@Data
public class DataGoodsListDto {

    /**
     * 数据商品id
     */
    @ApiModelProperty(value = "数据商品id")
    private Long dataGoodsId;

    /**
     * 商品分类id
     */
    @ApiModelProperty(value = "商品分类id")
    private Long categoryId;

    /**
     * 数据商品名称
     */
    @ApiModelProperty(value = "数据商品名称")
    private String dataName;

    /**
     * 分类名称
     */
    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    /**
     * 数据类型
     */
    @ApiModelProperty(value = "数据类型：01api,02数据包")
    private String dataType;

    /**
     * 数据商品标签
     */
    @ApiModelProperty(value = "数据商品标签")
    private String dataLabel;

    /**
     * 数据商品图片
     */
    @ApiModelProperty(value = "数据商品图片")
    private String dataPicture;

    /**
     * 数据商品价格
     */
    @ApiModelProperty(value = "数据商品价格")
    private BigDecimal dataPrice;

    /**
     * 价格类型
     */
    @ApiModelProperty(value = "价格类型")
    private String priceType;

    /**
     * 年(元)
     */
    @ApiModelProperty(value = "年(元)")
    private BigDecimal yearType;

    /**
     * 季(元)
     */
    @ApiModelProperty(value = "季(元)")
    private BigDecimal seasonType;

    /**
     * 月(元)
     */
    @ApiModelProperty(value = "月(元)")
    private BigDecimal monthType;

    /**
     * 次(元)
     */
    @ApiModelProperty(value = "次(元)")
    private BigDecimal secondType;




}
